/*
 * ProtocolTester.Java
 *
 * Copyright (c) 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is part of the ANTS distribution.
 * 
 * Permission to use, copy, modify, distribute, and sell this
 * software and its documentation for any purpose is hereby granted
 * without fee, provided that (i) the above copyright notice(s)
 * appear in all copies and (ii) that both the copyright notice(s)
 * and this permission notice appear in supporting documentation,
 * and (iii) that the name(s) of the copyright holders not be used
 * in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.  The
 * copyright holders make no representations about the suitability
 * of this software for any purpose.  It is provided "as is"
 * without express or implied warranty.
 * 
 * The maintainers of this code ask, but do not require, that
 * improvements and bug fixes be emailed to ants-dist@cs.utah.edu
 *         
 */

package tests;

import ants.core.Protocol;
import ants.core.Capsule;
import ants.core.Node;

public class ProtocolTester
    extends Tester
{
    private static class TestCapsule
	extends Capsule
    {
	final private static byte[] MID = new byte[16];
	final private static byte[] PID = new byte[16];
	
	protected byte[] mid()
	{
	    return MID;
	}
	
	protected byte[] pid()
	{
	    return PID;
	}
	
	public boolean evaluate(Node node)
	{
	    return true;
	}
    }
    
    private static class TestProtocol
	extends Protocol
    {
	public TestProtocol()
	    throws Exception
	{
	    startProtocolDefn();
	    startGroupDefn();
	    addCapsule("tests" +
		       ".ProtocolTester$TestCapsule");
	    endGroupDefn();
	    endProtocolDefn();
	}
    }
    
    public void testUnit()
	throws TestFailedException
    {
	TestProtocol tp;
	
	this.enterSection("Constructor");
	try
	{
	    tp = new TestProtocol();
	}
	catch(Exception e)
	{
	    throw new TestFailedException("constructor threw:", e);
	}
    }
}
